Feature # 33371 (Resolved): HTTP 1.1 Support

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Http
Created: 2012-05-17 Assigned To: Robert Lemke
Updated: 2012-06-20 Due date:
Sprint:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Improve spec coverage of Request / Response classes
Description

The HTTP Request / Response classes are still lacking a lot of methods which make them a true reflection of the related standard
(RFC 2616). In particular, charset handling, cache header support, content type etc.

Associated revisions
Revision 1bf8bbd6 - 2012-05-22 09:52 - Robert Lemke

[TASK] HTTP Response: Status Code and Content Type

This adds a few new methods to the HTTP Response
class - including the related unit tests.

Change-Id: Iee3ff009f8e3a492b6cd9c877ef4d45339190f19
Related: #37259
Releases: 1.1, 1.2

Revision 03ccfedd - 2012-05-22 09:55 - Robert Lemke

[TASK] HTTP Response: Status Code and Content Type

This adds a few new methods to the HTTP Response
class - including the related unit tests.

Change-Id: I98e377a55e4330d70ceed205040d806103019134
Related: #37259
Releases: 1.1, 1.2

Revision 86350b16 - 2012-05-23 10:55 - Robert Lemke

[FEATURE] Support for HTTP Age and Date header

This patch adds API methods and internal handling of
the HTTP "Date" and "Age" headers, according to
RFC 2616. It also introduces the use of the "Now" 
singleton as a time reference for age calculations.
Releases: 1.1, 1.2
Related: #37259
Change-Id: I6fd1b5065cfd455f1d8c3290c3b1321741cdd29d

Revision a1c37e38 - 2012-05-23 10:58 - Robert Lemke

[FEATURE] Support for HTTP Age and Date header

This patch adds API methods and internal handling of
the HTTP "Date" and "Age" headers, according to
RFC 2616. It also introduces the use of the "Now" 
singleton as a time reference for age calculations.

Releases: 1.1, 1.2
Related: #37259
Change-Id: I6fd1b5065cfd455f1d8c3290c3b1321741cdd29d

Revision 7ac583ff - 2012-05-23 16:21 - Robert Lemke

[TASK] Common base class Message for Request / Response

This introduces a new class "Message" which acts as a
common parent class for the HTTP Request and Response.
It provides shared functionality such as setting and
getting headers, charset handling and more.

It is in line with the terminology in RFC 2616.

Change-Id: I968a99e70851c2f2c45827dd17d52c6f71847e90
Releases: 1.1, 1.2
Related: #37259

Revision 4f6850ff - 2012-05-23 16:37 - Robert Lemke

[TASK] Common base class Message for Request / Response

This introduces a new class "Message" which acts as a
common parent class for the HTTP Request and Response.
It provides shared functionality such as setting and
getting headers, charset handling and more.

It is in line with the terminology in RFC 2616.

Change-Id: Ic114ca2e756c91b0b9076ec6a1470f583ce3abf7
Related: #37259
Releases: 1.1, 1.2

History
#1 - 2012-05-30 13:01 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 1.1 RC1

#2 - 2012-06-20 21:16 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

This is as good as it get's for 1.1 - and it covers the stuff needed currently.
